Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class IndexWriter.MaxFieldLength

    java.lang.Object
      org.apache.lucene.index.IndexWriter.MaxFieldLength

Enclosing class:
  IndexWriter

    public static final class IndexWriter.MaxFieldLength

extends Object

Specifies maximum field length in `IndexWriter` constructors. `IndexWriter.setMaxFieldLength(int)` overrides the value set by the constructor.

Field Summary
`static IndexWriter.MaxFieldLength` | `LIMITED` Sets the maximum field length to `IndexWriter.DEFAULT_MAX_FIELD_LENGTH`
`static IndexWriter.MaxFieldLength` | `UNLIMITED` Sets the maximum field length to `Integer.MAX_VALUE`.

Constructor Summary
`IndexWriter.MaxFieldLength(int limit)` Public constructor to allow users to specify the maximum field size limit.

Method Summary
`int` | `getLimit()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNLIMITED

    public static final IndexWriter.MaxFieldLength UNLIMITED

  Sets the maximum field length to `Integer.MAX_VALUE`.

### LIMITED

    public static final IndexWriter.MaxFieldLength LIMITED

  Sets the maximum field length to `IndexWriter.DEFAULT_MAX_FIELD_LENGTH`

Constructor Detail

### IndexWriter.MaxFieldLength

    public IndexWriter.MaxFieldLength(int limit)

  Public constructor to allow users to specify the maximum field size limit.

  Parameters:
    `limit` - The maximum field length

Method Detail

### getLimit

    public int getLimit()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.